---
title: HTMLMediaElement.error
slug: Web/API/HTMLMediaElement/error
tags:
  - API
  - Audio
  - HTML DOM
  - HTMLMediaElement
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.error</code></strong> is the {{domxref("MediaError")}} object for the most recent error, or <code>null</code> if there has not been an error. When an {{event("error")}} event is received by the element, you can determine details about what happened by examining this object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myError</em> = <em>HTMLMediaElement</em>.error;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaError")}} object describing the most recent error to occur on the media element or <code>null</code> if no errors have occurred.</p>

<h2 id="Example">Example</h2>

<p>This example establishes a video element and adds an error handler to it; the error handler logs the details to console.</p>

<pre class="brush: js">var videoElement = document.createElement('video');
videoElement.onerror = function() {
  console.log("Error " + videoElement.error.code + "; details: " + videoElement.error.message);
}
videoElement.src = "https://example.com/bogusvideo.mp4";
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-error", "HTMLMediaElement.error")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.error")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.error")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>{{HTMLElement("audio")}} and {{HTMLElement("video")}}</li>
</ul>
